import React from 'react';
import { X } from '../../../icons/X/index.js';
const baseClass = 'clear-indicator';
export const ClearIndicator = (props)=>{
    const { innerProps: { ref, ...restInnerProps } } = props;
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass,
        ref: ref,
        ...restInnerProps
    }, /*#__PURE__*/ React.createElement(X, {
        className: `${baseClass}__icon`
    }));
};

//# sourceMappingURL=index.js.map