import React from 'react';
import './index.scss';
import type { FieldPermissions } from 'payload/auth';
import type { BlockField, FieldBase } from 'payload/types';
import type { ReducedBlock } from '../../providers/ComponentMap/buildComponentMap/types.js';
import type { FormFieldBase } from '../shared/index.js';
export type BlocksFieldProps = FormFieldBase & {
    blocks?: ReducedBlock[];
    forceRender?: boolean;
    label?: FieldBase['label'];
    labels?: BlockField['labels'];
    maxRows?: number;
    minRows?: number;
    name?: string;
    permissions: FieldPermissions;
    slug?: string;
    width?: string;
};
export declare const BlocksField: React.FC<BlocksFieldProps>;
//# sourceMappingURL=index.d.ts.map