import React from 'react';
type RowLabelType<T = unknown> = {
    data: T;
    path: string;
    rowNumber?: number;
};
type Props<T> = Omit<RowLabelType<T>, 'data'> & {
    children: React.ReactNode;
};
export declare const RowLabelProvider: React.FC<Props<unknown>>;
export declare const useRowLabel: <T>() => RowLabelType<T>;
export {};
//# sourceMappingURL=index.d.ts.map