import { defaultValuePromise } from './promise.js';
export const iterateFields = async ({ id, data, fields, req, siblingData })=>{
    const promises = [];
    fields.forEach((field)=>{
        promises.push(defaultValuePromise({
            id,
            data,
            field,
            req,
            siblingData
        }));
    });
    await Promise.all(promises);
};

//# sourceMappingURL=iterateFields.js.map