import type { FieldBase, Option } from 'payload/types';
import React from 'react';
import './index.scss';
import type { FormFieldBase } from '../shared/index.js';
export type RadioFieldProps = FormFieldBase & {
    label?: FieldBase['label'];
    layout?: 'horizontal' | 'vertical';
    name?: string;
    onChange?: OnChange;
    options?: Option[];
    path?: string;
    value?: string;
    width?: string;
};
export type OnChange<T = string> = (value: T) => void;
export declare const RadioGroup: React.FC<RadioFieldProps>;
//# sourceMappingURL=index.d.ts.map