import type { ClientCollectionConfig, FilterOptionsResult, UploadField } from 'payload/types';
import React from 'react';
import type { UploadFieldProps } from './types.js';
import './index.scss';
export type UploadInputProps = Omit<UploadFieldProps, 'filterOptions'> & {
    api?: string;
    collection?: ClientCollectionConfig;
    filterOptions?: FilterOptionsResult;
    onChange?: (e: any) => void;
    relationTo?: UploadField['relationTo'];
    serverURL?: string;
    showError?: boolean;
    value?: string;
};
export declare const UploadInput: React.FC<UploadInputProps>;
//# sourceMappingURL=Input.d.ts.map