import type { FieldPermissions, Operation } from 'payload/types';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
export type Props = {
    className?: string;
    fieldMap: FieldMap;
    forceRender?: boolean;
    indexPath?: string;
    margins?: 'small' | false;
    operation?: Operation;
    path: string;
    permissions?: {
        [fieldName: string]: FieldPermissions;
    };
    readOnly: boolean;
    schemaPath: string;
};
//# sourceMappingURL=types.d.ts.map